### org.jfree.layouting.input.style.parser.stylehandler.border

# Class BorderBottomReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.border.BorderStyleReadHandler`
    - - `org.jfree.layouting.input.style.parser.stylehandler.border.BorderBottomReadHandler`

Implemented Interfaces:
  CSSCompoundValueReadHandler, CSSValueReadHandler

`public class BorderBottomReadHandler`
`extends BorderStyleReadHandler`

Creation-Date: 27.11.2005, 19:52:12

Author:
  Thomas Morgner

  ## Constructor Summary

  `BorderBottomReadHandler()`

  ## Method Summary

  `Map`

  `createValues(LexicalUnit unit)`
    Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.border.BorderStyleReadHandler

  `createValues`, `getAffectedKeys`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler

  `addValue`, `createValue`, `isAutoAllowed`, `lookupValue`

## Constructor Details

### BorderBottomReadHandler

    public BorderBottomReadHandler()

## Method Details

### createValues

    public Map createValues(LexicalUnit unit)

> Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
> Specified by:
>   createValues in interface CSSCompoundValueReadHandler
> Overrides:
>   createValues in interface BorderStyleReadHandler
> Parameters:
>   `unit` -
> Returns: